%define realname opengfx

Name:		openttd-%{realname}
Version:	0.4.6.1
Release:	%mkrel 1
Summary:	OpenGFX graphics replacement set for OpenTTD

Group:		Games/Strategy
License:	GPLv2
URL:		http://dev.openttdcoop.org/projects/opengfx
#Source0:	http://hu.binaries.openttd.org/binaries/extra/%{realname}/%{version}/%{realname}-%{version}-source.tar.xz
Source0:	http://bundles.openttdcoop.org/opengfx/releases/%{version}/opengfx-%{version}-source.tar.xz
Patch0:		opengfx-0.4.1-gimpscript.patch
BuildArch:	noarch
BuildRequires:	grfcodec
BuildRequires:	nml >= 0.2.3
BuildRequires:	gimp

%description
OpenGFX is an open source graphics base set for OpenTTD which can completely
replace the TTD base set. 

%prep
%setup -q -n %{realname}-%{version}-source
%apply_patches

%build
%make

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data/%{realname}
%make install \
	INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname} \
	DOCDIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname}

%check
%make check

%files
%doc docs/ttdpatch.txt
%dir %{_gamesdatadir}/openttd/data/%{realname}
%{_gamesdatadir}/openttd/data/%{realname}/*.grf
%{_gamesdatadir}/openttd/data/%{realname}/*.obg
%{_gamesdatadir}/openttd/data/%{realname}/*.txt


%changelog

* Sun Jan 13 2013 wally <wally> 0.4.6.1-1.mga3
+ Revision: 368582
- new version 0.4.6.1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.4.4-4.mga3
+ Revision: 257716
- clean specfile

* Mon Apr 23 2012 wally <wally> 0.4.4-3.mga2
+ Revision: 233009
- own unowned dir
- simplify previous commit by cleaning .spec

* Sun Apr 22 2012 zezinho <zezinho> 0.4.4-2.mga2
+ Revision: 232649
- move some doc files to activate ingame options menu buttons
- move data files to a named directory to follow upstream default

* Thu Apr 19 2012 wally <wally> 0.4.4-1.mga2
+ Revision: 231856
- new version 0.4.4

* Mon Feb 27 2012 zezinho <zezinho> 0.4.3-1.mga2
+ Revision: 215579
- this version requires at least nml-0.2.3 to build now
- new version

* Sun Feb 12 2012 wally <wally> 0.4.2-1.mga2
+ Revision: 208210
- new version 0.4.2

* Sat Dec 31 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 189262
- new version 0.4.1
- BR nml and gimp

* Sat Oct 08 2011 wally <wally> 0.3.7-1.mga2
+ Revision: 152992
- new version 0.3.7

* Thu Sep 22 2011 wally <wally> 0.3.6-1.mga2
+ Revision: 146769
- new version 0.3.6
- new version 0.3.5

* Tue Jun 07 2011 wally <wally> 0.3.4-1.mga2
+ Revision: 101488
- new version 0.3.4

* Sat Apr 02 2011 wally <wally> 0.3.3-1.mga1
+ Revision: 79765
- new version 0.3.3
- drop buildroot definition

* Sun Jan 09 2011 wally <wally> 0.3.2-2.mga1
+ Revision: 1689
- remove old conflicts
- imported package openttd-opengfx


* Thu Dec 23 2010 Jani Välimaa <wally@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 624012
- new version 0.3.2

* Tue Sep 21 2010 Jani Välimaa <wally@mandriva.org> 0.3.1-3mdv2011.0
+ Revision: 580387
- new version 0.3.1

* Fri Sep 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-3mdv2011.0
+ Revision: 577129
- fix file permissions

* Fri Sep 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-2mdv2011.0
+ Revision: 577076
- don't install docs twice

* Fri Sep 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 577071
- new version 0.3.0
- fix source url
- fix file list

* Mon May 03 2010 Jani Välimaa <wally@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 541786
- new version 0.2.4

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 534620
- import openttd-opengfx


